Debian Bug report logs - #214406
rpm: New upstream (4.2)

version graph

Package: rpm; Maintainer for rpm is Michal Čihař <nijel@debian.org>; Source for rpm is src:rpm.

Reported by: Andrew Lau <netsnipe@users.sourceforge.net>

Date: Mon, 6 Oct 2003 11:03:09 UTC

Severity: wishlist

Found in version 4.0.4-24

Fixed in version rpm/4.4.1-1

Done: Anand Kumria <wildfire@progsoc.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lau <netsnipe@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Lau <netsnipe@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rpm: New upstream (4.2)
Date: Mon, 6 Oct 2003 20:58:15 +1000
[Message part 1 (text/plain, inline)]
Package: rpm
Version: 4.0.4-24
Severity: wishlist

Hey Joey,

I was looking through distrowatch's version listings and noticed that
rpm is up 4.2 now. I don't track RPM devel (obviously), but I'm have to
wonder whether alien needs an update to keep in line with it.

ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.2.x/

Cheers,
Andrew "Netsnipe" Lau

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux espresso 2.4.22 #1 Mon Sep 1 18:31:19 EST 2003 i686
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8

Versions of packages rpm depends on:
ii  libbz2-1.0                    1.0.2-1    A high-quality block-sorting file 
ii  libc6                         2.3.2-8    GNU C Library: Shared libraries an
ii  libdb3                        3.2.9-19   Berkeley v3 Database Libraries [ru
ii  libpopt0                      1.7-2      lib for parsing cmdline parameters
ii  librpm4                       4.0.4-24   RPM shared library
ii  perl                          5.8.1-2    Larry Wall's Practical Extraction 
ii  zlib1g                        1:1.1.4-15 compression library - runtime

-- no debconf information


-- 
*******************************************************************************
	 Andrew "Netsnipe" Lau    Computer Sci. UNSW & Debian GNU/Linux
	   <netsnipe(+)users.sf.net\0>    <alau(+)cse.unsw.edu.au\0>
   GnuPG 1024D/2E8B68BD:  0B77 73D0 4F3B F286 63F1  9F4A 9B24 C07D 2E8B 68BD
				       -
		    "Nobody expects the Debian Inquisition! 
       Our two weapons are fear and surprise...and ruthless efficiency!"
*******************************************************************************
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 214406@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Andrew Lau <netsnipe@users.sourceforge.net>, 214406@bugs.debian.org
Subject: Re: Bug#214406: rpm: New upstream (4.2)
Date: Mon, 6 Oct 2003 10:31:17 -0400
Andrew Lau wrote:
> I was looking through distrowatch's version listings and noticed that
> rpm is up 4.2 now. I don't track RPM devel (obviously), but I'm have to
> wonder whether alien needs an update to keep in line with it.

As far as I know there are no package incompatabilities between rpm 4.2
and the one in debian. Unfortunatly rpm 4.2 links with a non-free
component. I have let its maintainer know about the problem a long time
ago, but he seems to have stalled in removing the dependency and it
cannot go into debian until this is resolved.

-- 
see shy jo



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #15 received at 214406@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>, 214406@bugs.debian.org
Cc: Andrew Lau <netsnipe@users.sourceforge.net>
Subject: Re: Bug#214406: rpm: New upstream (4.2)
Date: Tue, 7 Oct 2003 00:54:28 +1000
* Joey Hess <joeyh@debian.org> [2003-10-06 10:31]:
> As far as I know there are no package incompatabilities between rpm 4.2
> and the one in debian. Unfortunatly rpm 4.2 links with a non-free
> component. I have let its maintainer know about the problem a long time
> ago, but he seems to have stalled in removing the dependency and it
> cannot go into debian until this is resolved.

Out of interest, what's this component?

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 214406@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 214406@bugs.debian.org, Andrew Lau <netsnipe@users.sourceforge.net>
Subject: Re: Bug#214406: rpm: New upstream (4.2)
Date: Mon, 6 Oct 2003 17:36:41 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> * Joey Hess <joeyh@debian.org> [2003-10-06 10:31]:
> > As far as I know there are no package incompatabilities between rpm 4.2
> > and the one in debian. Unfortunatly rpm 4.2 links with a non-free
> > component. I have let its maintainer know about the problem a long time
> > ago, but he seems to have stalled in removing the dependency and it
> > cannot go into debian until this is resolved.
> 
> Out of interest, what's this component?

It's elfutils, under the OSL.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #25 received at 214406@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: 214406@bugs.debian.org, Andrew Stribblehill <ads@debian.org>
Subject: Re: Bug#214406: rpm: New upstream (4.2)
Date: Wed, 8 Oct 2003 17:59:01 +1000
* Joey Hess <joeyh@debian.org> [2003-10-06 17:36]:
> > Out of interest, what's this component?
> 
> It's elfutils, under the OSL.

Erm, interesting, considering elfutils is in Debian.  I see the
thread on -legal about it being non-free, though.  Do -legal and
ftpmaster disagree here?

In any case, Andrew, who's the maintaeiner of elfutils at Red Hat?
Perhaps we can talk to him and get it dual-licensed.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@its.monash.edu.au>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>. Full text and rfc822 format available.

Message #30 received at 214406@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@its.monash.edu.au>
To: Peter Eisentraut <peter_e@gmx.net>
Cc: 214406@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Tanner Lovelace <lovelace@trilug.org>, Joey Hess <joeyh@debian.org>
Subject: Re: Maintenance of Debian rpm package
Date: Sat, 07 Aug 2004 15:11:29 +1000
[Message part 1 (text/plain, inline)]
On Mon, Aug 02, 2004 at 09:52:04AM +1000, Aníbal Monsalve Salazar wrote:
>On Sun, Aug 01, 2004 at 08:08:00PM +0200, Peter Eisentraut wrote:
>>I gladly noticed in April that you took over the orphaned package rpm, 
>>but nothing has happened since then.  I want to package some other 
>>software that waits on some of the bugs getting fixed.  If you can't 
>>find the time to work on it, maybe you should orphan it again?

I assume you are after the latest ustream version of rpm.

>There were some licensing issues that I need to check again. If they
>have been resolved, I'll prepare a new package with the latest upstream
>version.

As of today, there is no change to the license of elfutils, included
in the latest upstream version of rpm.

elfutils is not free [0] as it is under the OSL. We are still stuck.

Martin suggested to contact the maintainer of elfutils to try to make
it dual lincensed. I don't know if somebody has asked that already.

Tanner Lovelace says [1] that Ulrich Drepper <drepper@redhat.com>
(author of elfutils) told Tom "Spot" Callaway that rpm only links to
libelf from elfutils. Tanner also notes that libelf is licensed under
the GPL, at least version 0.95.

So, it appears that we could get rid of elfutils in rpm. Joey asked
the rpm authors to eliminate that dependency on elfutils but it hasn't
happened yet.

[0] http://www.debian.org/legal/licenses/dls-007-osl
[1] http://zgp.org/pipermail/linux-elitists/2004-April/009785.html

Regards,

Anibal Monsalve Salazar
--
 .''`.  Debian GNU/Linux      | Building 28C
: :' :  Free Operating System | Monash University VIC 3800, Australia
`. `'   http://debian.org/    | http://www-personal.monash.edu/~anibal/
  `-                          |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #35 received at 214406@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: Mario Fux <fux.mario@unormal.org>
Cc: 214406@bugs.debian.org
Subject: Re: rpm 4.1 ?
Date: Wed, 15 Dec 2004 08:54:25 +1100
[Message part 1 (text/plain, inline)]
On Fri, Dec 10, 2004 at 04:40:42PM +0100, Mario Fux wrote:
>Good morning
>
>Perhaps do you know about our effort to port YaST2 to debian.
>rpm is there a quite important part and the current version of
>YaST2 needs rpm in the version 4.1.
>
>May I ask you what's the status of the rpm 4.1 packaging?

It seems that the current situation [0] hasn't changes as far as I
know.

[0] http://bugs.debian.org/214406

>Thx
>Mario

Anibal Monsalve Salazar
--
 .''`. Debian GNU/Linux      |
: :' : Free Operating System | http://www.debiancolombia.org/
`. `'  http://debian.org/    | http://www-personal.monash.edu/~anibal
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#214406; Package rpm. Full text and rfc822 format available.

Acknowledgement sent to David Pashley <david@davidpashley.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #40 received at 214406@bugs.debian.org (full text, mbox):

From: David Pashley <david@davidpashley.com>
To: 214406@bugs.debian.org
Subject: Update on RPM4.4?
Date: Sat, 10 Sep 2005 08:30:23 +0100
It looks like RPM 4.4 only links against libelf, which is LGPLed and is
packaged in libelfg0.as far as I can tell it doesn't link against any
OSL licensed code. You can find basic rpm4.4 packages for ubuntu at;
http://people.ubuntu.com/~thom/rpm/. I will attempt to remove any ubuntu
specific patches and make them policy-compliant and then add python
support to them.

-- 
David Pashley
david@davidpashley.com
Nihil curo de ista tua stulta superstitione.



Reply sent to Anand Kumria <wildfire@progsoc.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrew Lau <netsnipe@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 214406-close@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.org>
To: 214406-close@bugs.debian.org
Subject: Bug#214406: fixed in rpm 4.4.1-1
Date: Mon, 10 Oct 2005 04:04:37 -0700
Source: rpm
Source-Version: 4.4.1-1

We believe that the bug you reported is fixed in the latest version of
rpm, which is due to be installed in the Debian FTP archive:

librpm-dev_4.4.1-1_i386.deb
  to pool/main/r/rpm/librpm-dev_4.4.1-1_i386.deb
librpm4_4.4.1-1_i386.deb
  to pool/main/r/rpm/librpm4_4.4.1-1_i386.deb
lsb-rpm_4.4.1-1_i386.deb
  to pool/main/r/rpm/lsb-rpm_4.4.1-1_i386.deb
python2.3-rpm_4.4.1-1_i386.deb
  to pool/main/r/rpm/python2.3-rpm_4.4.1-1_i386.deb
rpm_4.4.1-1.diff.gz
  to pool/main/r/rpm/rpm_4.4.1-1.diff.gz
rpm_4.4.1-1.dsc
  to pool/main/r/rpm/rpm_4.4.1-1.dsc
rpm_4.4.1-1_i386.deb
  to pool/main/r/rpm/rpm_4.4.1-1_i386.deb
rpm_4.4.1.orig.tar.gz
  to pool/main/r/rpm/rpm_4.4.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 214406@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anand Kumria <wildfire@progsoc.org> (supplier of updated rpm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  5 Oct 2005 09:56:32 +1000
Source: rpm
Binary: python2.3-rpm rpm librpm-dev lsb-rpm librpm4
Architecture: source i386
Version: 4.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anand Kumria <wildfire@progsoc.org>
Description: 
 librpm-dev - RPM shared library, development kit
 librpm4    - RPM shared library
 lsb-rpm    - Red Hat package manager for LSB package building
 python2.3-rpm - Python bindings for RPM
 rpm        - Red Hat package manager
Closes: 193930 214406 218348 313916 318626 326142 326665
Changes: 
 rpm (4.4.1-1) unstable; urgency=low
 .
   * New upstream releases (Closes: #214406, #193930)
   * Add myself to uploaders
   * Create python bindings (Closes: #218348, #326142)
   * Correct the German translation (Closes: #313916)
   * Acknowledge OMU (Closes: #326665)
   * Make _sysconfdir point to /etc (Closes: #318626)
   * Standards-Version: 3.6.2.1
   * Other random funkiness
Files: 
 7bc9dc6e57b7830b9b2b91b0af7c65ae 997 admin optional rpm_4.4.1-1.dsc
 90ded9047b1b69d918c6c7c7b56fd7a9 11497447 admin optional rpm_4.4.1.orig.tar.gz
 28a69b743d76a3b470d861492181a521 515950 admin optional rpm_4.4.1-1.diff.gz
 5af9b02f9c892bfc7dd58a313ff402be 835978 admin optional rpm_4.4.1-1_i386.deb
 a2d1a8dfabbb747bfe43b33d22732189 2131620 devel optional lsb-rpm_4.4.1-1_i386.deb
 d9a0dbb8a56ccf18fc2ecff4d272d1d7 940508 libs optional librpm4_4.4.1-1_i386.deb
 9c7698cc79af7d4ed20861b2ef755131 1261906 libdevel extra librpm-dev_4.4.1-1_i386.deb
 166e1717a781728fbe1456dec734cb1d 477222 python extra python2.3-rpm_4.4.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iQCVAwUBQ0inFWRmcAD8BdppAQLHmAQA077ZpakJfovbMZHxzpNDxhezQPc5bwuT
bZASDDz3ua0IO1uqi8QzDJyC3uy9aAa3wVMyWAoRxfvaq4u2hJohynBF4vhThYSM
3hi6KHgd/TE3Yvky2agNS7NR7+SFnh+H7UQGGLs6eedG9hutbtxlZkqO3UQYewDE
xmiCFH4PAhs=
=IsPh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 11:12:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:58:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.